/* 1. Auf einem Parkplatz stehen p PKWs und m Motorräder.
Zusammen seien es fz Fahrzeuge mit rd Rädern. fz und rd sind einzulesen und die
Anzahl der PKWs und der Motorräder ist zu bestimmen.
Falsche Eingaben sind abzuweisen.
------------------------------------------------------------------------------*/
#include <stdlib.h>
int main()
{ int fz, rd, m, p;
  printf("\n Anzahl der Fahrzeuge: ");
  scanf("%i", &fz);
  printf("\n Anzahl der Raeder (%i bis %i): ", 2*fz, 4*fz);
  scanf("%i", &rd);
  if( rd%2 !=0) printf("\n muss gerade sein!");
  else if( rd<2*fz || rd>4*fz) printf("\n zu viele/ zu wenige");
       else{  p= rd/2 -fz;
              m= fz - p;
              printf("\n Es sind %i PKW's und %i Motorraeder.", p, m);
           }

  printf("\n\n");    system("PAUSE");       return 0;
}
